From 0f25b008cbdf679e61b3d06642cc3cc618e90880 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Thu, 8 Jul 2021 09:37:10 +0100
Subject: [PATCH] clk: bcm2835: Pass DT node to rpi_firmware_get

The fw_node pointer has already been retrieved, and using it allows
us to remove a downstream patch to the firmware driver.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 drivers/clk/bcm/clk-bcm2835.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/drivers/clk/bcm/clk-bcm2835.c
+++ b/drivers/clk/bcm/clk-bcm2835.c
@@ -2370,7 +2370,7 @@ static int bcm2835_clk_probe(struct plat
 
 	fw_node = of_parse_phandle(dev->of_node, "firmware", 0);
 	if (fw_node) {
-		struct rpi_firmware *fw = rpi_firmware_get(NULL);
+		struct rpi_firmware *fw = rpi_firmware_get(fw_node);
 		if (!fw)
 			return -EPROBE_DEFER;
 		cprman->fw = fw;
